FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=6cdb5d3 OS_GIT_VERSION=4.4.0-202005180840-6cdb5d3 SOURCE_DATE_EPOCH=1576786357 SOURCE_GIT_COMMIT=6cdb5d360768d8f87a615286180e46784ae7d28f SOURCE_GIT_TAG=6cdb5d3 SOURCE_GIT_URL=https://github.com/openshift/images 
WORKDIR /go/src/github.com/openshift/images
COPY . .
RUN CGO_ENABLED=0 go build -installsuffix=cgo -o pod/bin/pod ./pod

FROM openshift/ose-base:v4.4.0.20200518.084100
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=6cdb5d3 OS_GIT_VERSION=4.4.0-202005180840-6cdb5d3 SOURCE_DATE_EPOCH=1576786357 SOURCE_GIT_COMMIT=6cdb5d360768d8f87a615286180e46784ae7d28f SOURCE_GIT_TAG=6cdb5d3 SOURCE_GIT_URL=https://github.com/openshift/images 
COPY --from=builder /go/src/github.com/openshift/images/pod/bin/pod /usr/bin/
ENTRYPOINT [ "/usr/bin/pod" ]

LABEL \
        io.k8s.display-name="OpenShift Container Platform Pod Infrastructure" \
        io.k8s.description="This is a component of OpenShift Container Platform and holds on to the shared Linux namespaces within a Pod." \
        io.openshift.tags="openshift,pod" \
        License="GPLv2+" \
        vendor="Red Hat" \
        name="openshift/ose-pod" \
        com.redhat.component="openshift-enterprise-pod-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.4.0" \
        release="202005180840" \
        io.openshift.build.commit.id="6cdb5d360768d8f87a615286180e46784ae7d28f" \
        io.openshift.build.source-location="https://github.com/openshift/images" \
        io.openshift.build.commit.url="https://github.com/openshift/images/commit/6cdb5d360768d8f87a615286180e46784ae7d28f"

